<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class municipios extends Admin_Controller {

    public function __construct()
    {
        parent::__construct();

	$this->load->model('ficha_catastral/municipios_model');
        $this->lang->load('ficha_catastral/municipios');

   /* Titulo de la pagina :: Common */
        $this->page_title->push(lang('menu_municipios'));
        $this->data['pagetitle'] = $this->page_title->show();

        if ($_SESSION['id_modulo'] != 'municipios') {

			$_SESSION['arraywhere_municipios'] 		= NULL;
			$_SESSION['arraywhere_municipios_busqueda'] 	= NULL;

			$_SESSION['id_modulo'] = 'municipios';
		}

    /* Breadcrumbs :: Common */
        $this->breadcrumbs->unshift(1, lang('menu_municipios'), 'admin/municipios');
    }
 	
	public function index()
	{
        if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin())
        {
            redirect('auth/login', 'refresh');
        }
        else
        {
        		if ($_POST) { 
				$arraywhere = NULL;
		
				if ($_POST['gid']) 
			{
				if (is_numeric($_POST['gid'])) {
					$arraywhere['gid']			= $_POST['gid'];
					$arraywherebusq['gid'] 			= (integer)$_POST['gid'];
				}
			}        				
		
			if ($_POST['c_ut']) 
			{
				$arraywhere['c_ut'] 				= $_POST['c_ut'];
				$arraywherebusq['lower(c_ut) like '] 		= '%'.strtolower($_POST['c_ut']).'%';
			}
			
			if ($_POST['departamen']) 
			{
				$arraywhere['departamen'] 			= $_POST['departamen'];
				$arraywherebusq['lower(departamen) like ']	= '%'.strtolower($_POST['departamen']).'%';
			}
		
		
			if ($_POST['provincia']) 
			{
				$arraywhere['provincia'] 			= $_POST['provincia'];
				$arraywherebusq['lower(provincia) like '] 	= '%'.strtolower($_POST['provincia']).'%';
			}
		
			if ($_POST['municipio']) 
			{
				$arraywhere['municipio'] 			= $_POST['municipio'];
				$arraywherebusq['lower(municipio) like '] 	= '%'.strtolower($_POST['municipio']).'%';
			}
		
			if ($_POST['capital']) 
			{
				$arraywhere['capital'] 				= $_POST['capital'];
				$arraywherebusq['lower(capital) like ']		= '%'.strtolower($_POST['capital']).'%';
			}
						
			$_SESSION['arraywhere_municipios'] = $arraywhere;
			$_SESSION['arraywhere_municipios_busqueda'] = $arraywherebusq;
		
			redirect('ficha_catastral/municipios');				
		}
		
		// ----- Paginacion Generica 
		$mi_paginacion = $this->ion_auth->paginacion_generica(
			12, 						// resultados por por_pagina, 
			5, 						// segmento uri a leer, 
			5, 						// cantidad_enlaces,
			base_url(). 'ficha_catastral/municipios/index',  // url completo del paginado
			'municipios',		// nombre de la tabla, para la consulta
			$_SESSION['arraywhere_municipios_busqueda']
			);
		
		$this->data['pagination'] 		= $mi_paginacion['pagination'];
		
		$this->data['municipios']	  		= $this->ion_auth_model->segmentador_paginas(
			$mi_paginacion['per_page'], // resultados por pagina
			5,							// segmento uri a leer
			'municipios',					// el nombre de la tabla a consultar $nombre_tabla
			$_SESSION['arraywhere_municipios_busqueda']
			)->result();
		// ----- Fin paginacion
		
		/* Breadcrumbs */
		$this->data['breadcrumb'] = $this->breadcrumbs->show();
		
            /* Load Template */
            $this->template->admin_render('ficha_catastral/municipios/index', $this->data);
	        
        }
    }


	public function create()
	{
		if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin())
		{
			redirect('auth', 'refresh');
		}

	/* Breadcrumbs */
	$this->breadcrumbs->unshift(2, lang('menu_municipios'), 'municipios/create');
	$this->data['breadcrumb'] = $this->breadcrumbs->show();

	/* Validate form input */
 	$this->form_validation->set_rules('c_ut', $this->lang->line('edit_municipios_validation_c_ut_label'), 'required');
        
        $this->form_validation->set_rules('departamen', $this->lang->line('edit_municipios_validation_departamen_label'), 'required'); 
        
        $this->form_validation->set_rules('provincia', $this->lang->line('edit_municipios_validation_provincia_label'), 'required'); 
                      	
	$this->form_validation->set_rules('municipio', $this->lang->line('edit_municipios_validation_municipio_label'), 'required');
	
	$this->form_validation->set_rules('capital', $this->lang->line('edit_municipios_validation_capital_label'), 'required');

		if ($this->form_validation->run() == TRUE)
		{
		

				if ($_POST['gid']) {
					$arraycampos['gid']		= $_POST['gid'];
				}

				if ($_POST['c_ut']) {
					$arraycampos['c_ut']		= $_POST['c_ut'];
				}
				
				if ($_POST['departamen']) {
					$arraycampos['departamen']		= strtoupper($_POST['departamen']);
				}

				if ($_POST['provincia']) {
					$arraycampos['provincia'] 	= strtoupper($_POST['provincia']);
				}

				if ($_POST['municipio']) {
					$arraycampos['municipio']	= strtoupper($_POST['municipio']);
				}

				if ($_POST['capital']) {
					$arraycampos['capital']		= strtoupper($_POST['capital']);
				}

				
			$new_municipios_id = $this->municipios_model->create_municipios($arraycampos);
			if ($new_municipios_id)
			{
				$this->session->set_flashdata('message', $this->ion_auth->messages());
				redirect('ficha_catastral/municipios');
			}
		}else{
			$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));
				 
		//creando campos
		$this->data['gid'] = array(
			'type'     => 'text',
			'name'     => 'gid',
			'id'       => 'gid',
			'value'    => $this->form_validation->set_value('gid'),
			//'data-src' => $municipios->gid,
			'class'    => 'form-control',
			'disabled'    => true
		);
		$this->data['c_ut'] = array(
			'type'  => 'text',
			'name'  => 'c_ut',
			'id'    => 'c_ut',
			'style' => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('c_ut'),
			'class' => 'form-control'
		);
		 
		$this->data['departamen'] = array(
			'type'     => 'text',
			'name'     => 'departamen',
			'id'       => 'departamen',
			'style' => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('departamen'),
			//'data-src' => $municipios-nombre,
			'class'    => 'form-control'
		);
		$this->data['provincia'] = array(
			'type'  => 'text',
			'name'  => 'provincia',
			'id'    => 'provincia',
			'style' => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('provincia'),
			'class' => 'form-control'
		);
		
		$this->data['municipio'] = array(
			'type'  => 'text',
			'name'  => 'municipio',
			'id'    => 'municipio',
			'style' => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('municipio'),
			'class' => 'form-control',
		);
	
		$this->data['capital'] = array(
			'type'  => 'text',
			'name'  => 'capital',
			'id'    => 'capital',
			'style' => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('capital'),
			'class' => 'form-control',
		);
				
		/* Load Template */
		$this->template->admin_render('ficha_catastral/municipios/create', $this->data);
		}
	}

    public function delete($gid= null)
    {
        //$documentos = $this->expedientes_model->view('documentos_sge', array('id_expediente' => $expe_id))->result_array();

        //if (!empty($documentos)) {
        //    $this->eliminar_archivos($expe_id, $documentos);
        //}
        
        $delete  = $this->municipios_model->eliminar_municipios($gid);
        $this->session->set_flashdata('message', '¡El Municipio se eliminó correctamente!');

        redirect('ficha_catastral/municipios/index');
    }


	public function edit($gid)
	{

	if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin() OR ! $gid OR empty($gid))
	{
		redirect('auth', 'refresh');
	}
       /* Breadcrumbs */
        $this->breadcrumbs->unshift(2, lang('menu_municipios_edit'), 'municipios/edit');
        $this->data['breadcrumb'] = $this->breadcrumbs->show();



        /* Variables *///Trae de la base de datos la fila seleccionada
		$municipios = $this->municipios_model->view($gid)->row();

        /* Validate form input */
        //$this->form_validation->set_rules('gid', 		$this->lang->line('edit_municipios_validation_gid_label'), 'required|is_numeric|max_length[9]');
        $this->form_validation->set_rules('c_ut', 		$this->lang->line('edit_municipios_validation_c_ut_label'), 'required');
	

	//Se produce cuando el usuario da click en el submit
	if (isset($_POST) && ! empty($_POST))
		{
			if ($this->form_validation->run() == TRUE)
			{
				if ($_POST['gid']) {
					$arraycampos['gid']			= $_POST['gid'];
				}

				if ($_POST['c_ut']) {
					$arraycampos['c_ut']			= strtoupper($_POST['c_ut']);
				}

				if ($_POST['departamen']) {
					$arraycampos['departamen'] 		= $_POST['departamen'];
				}

				if ($_POST['provincia']) {
					$arraycampos['provincia']		= $_POST['provincia'];
				}

				if ($_POST['municipio']) {
					$arraycampos['municipio']		= $_POST['municipio'];
				}

				if ($_POST['capital']) {
					$arraycampos['capital']			= $_POST['capital'];
				}

				$municipios_update = $this->municipios_model->update_municipios($gid,$arraycampos);

				if ($municipios_update)
				{
					$this->session->set_flashdata('message', $this->lang->line('municipios_update_successful'));
					redirect('ficha_catastral/municipios/edit/'.$gid); //VER OTRA MANERA DE ACTUALIZAR LA PAGINA, YA QUE AL REFRESCAR SOLO VUELVE A TOMAR LOS VALORES GID
				}
				else
				{
					$this->session->set_flashdata('message', $this->ion_auth->errors());
				}

			}
		}

		$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));
		$this->data['municipios']   = $municipios;

		//$readonly = $this->config->item('admin_group', 'ion_auth') === $colonia->col_desc ? 'readonly' : '';
		
	//creando campos
		$this->data['gid'] = array(
			'type'     => 'text',
			'name'     => 'gid',
			'id'       => 'gid',
			'value'    => $this->form_validation->set_value('gid',$municipios->gid),
			//'data-src' => $municipios->gid,
			'class'    => 'form-control',
			'disabled'    => true
		);
		$this->data['c_ut'] = array(
			'type'  => 'text',
			'name'  => 'c_ut',
			'id'    => 'c_ut',
			'style' => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('c_ut', $municipios->c_ut),
			'class' => 'form-control'
		);
		 
		$this->data['departamen'] = array(
			'type'     => 'text',
			'name'     => 'departamen',
			'id'       => 'departamen',
			'style'    => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('departamen', $municipios->departamen),
			//'data-src' => $municipios-nombre,
			'class'    => 'form-control'
		);
		$this->data['provincia'] = array(
			'type'  => 'text',
			'name'  => 'provincia',
			'id'    => 'provincia',
			'style' => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('provincia', $municipios->provincia),
			'class' => 'form-control'
		);
		
		$this->data['municipio'] = array(
			'type'  => 'text',
			'name'  => 'municipio',
			'id'    => 'municipio',
			'style' => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('municipio', $municipios->municipio),
			'class' => 'form-control',
		);
	
		$this->data['capital'] = array(
			'type'  => 'text',
			'name'  => 'capital',
			'id'    => 'capital',
			'style' => 'width: 268px;height: 30px',
			'value'    => $this->form_validation->set_value('capital', $municipios->capital),
			'class' => 'form-control',
		);
	
        /* Load Template */
        $this->template->admin_render('ficha_catastral/municipios/edit', $this->data);
	}

	/////////////////////////////// VER PORTAL DE MAPAS ///////////////////// 

	public function verparcela ($objectid) {
	
		$bbox = $this->municipios_model->bb($objectid);
		if ($bbox)
		{
            
		$data['campo1'] = $bbox[0]['campo1'];
        	$data['campo2'] = $bbox[0]['campo2'];
        	$data['campo3'] = $bbox[0]['campo3'];
        	$data['campo4'] = $bbox[0]['campo4'];

        	$data['concat'] = $bbox[0]['campo1']. ',' . $bbox[0]['campo2'] . ',' .$bbox[0]['campo3']. ',' . $bbox[0]['campo4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ms_criamapa.php?tema=selparcel&layers=selparcel";
        	$i_jameuge = $i_jameuge . "&map_layer_selparcel_filter=objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapext=". $data['concat'];
        	$i_jameuge = $i_jameuge . "&extenquery=". $data['concat'];

			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}


	public function vermunicipios ($objectid) {
	
		$bbox = $this->municipios_model->lote($objectid);
		if ($bbox)
		{
            
		$data['campo1'] = $bbox[0]['campo1'];
        	$data['campo2'] = $bbox[0]['campo2'];
        	$data['campo3'] = $bbox[0]['campo3'];
        	$data['campo4'] = $bbox[0]['campo4'];

        	$data['concat'] = $bbox[0]['campo1']. ',' . $bbox[0]['campo2'] . ',' .$bbox[0]['campo3']. ',' . $bbox[0]['campo4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ms_criamapa.php?tema=sellote&layers=sellote";
        	$i_jameuge = $i_jameuge . "&map_layer_sellote_filter=objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapext=". $data['concat'];
        	$i_jameuge = $i_jameuge . "&extenquery=". $data['concat'];

			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function vermunicipios_ol ($gid) {

	/*
        echo '<pre>';
        print_r( $gid );
        echo '</pre>';
        show_error(1); 
	*/

        	$i_jameuge = $_SESSION['url_mapserver2']."/mmapvisor/index.html?tipo_consulta=municipios_gid";
        	$i_jameuge = $i_jameuge . "&gid=" . $gid;
        	$i_jameuge = $i_jameuge . "&ip_host=".substr($_SESSION['url_mapserver2'],7,strpos($_SESSION['url_mapserver2'], ":",7)-7);

			redirect($i_jameuge);
	}

	//////////////// GENERAR PLANOS DE ADEAS /////////////////////
	//////////////// GENERAR PLANOS DE ADEAS /////////////////////
	//////////////// GENERAR PLANOS DE ADEAS /////////////////////
	//////////////// GENERAR PLANOS DE ADEAS /////////////////////
	//////////////// GENERAR PLANOS DE ADEAS /////////////////////


	public function generarplanoaldeasU ($objectid) {
	
		$bbox = $this->lotes_model->bbaldea($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_Aldeas_UsoActual.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_Aldeas_UsoActual.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}



	public function generarplanoaldeasA ($objectid) {
	
		$bbox = $this->lotes_model->bbaldea($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_Aldeas_UsoAlter.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_Aldeas_UsoAlter.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}


	public function generarplanoaldeasU86 ($objectid) {
	
		$bbox = $this->lotes_model->bbaldea($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_Aldeas_Uso1986.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_Aldeas_Uso1986.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}


	public function generarplanoaldeasC ($objectid) {
	
			$bbox = $this->lotes_model->bbaldea($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_f1_Capacidad.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_Aldeas_Capacidad.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_Aldeas_Capacidad.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanoaldeasT ($objectid) {
	
		$bbox = $this->lotes_model->bbaldea($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_f1_Taxonomia.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_Aldeas_Taxonomia.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_Aldeas_Taxonomia.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanoaldeasI86 ($objectid) {
	
		$bbox = $this->lotes_model->bbaldea($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_uso_actual86.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_Aldeas_Imagen_1986.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_Aldeas_Imagen_1986.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanoaldeasIAC ($objectid) {
	
		$bbox = $this->lotes_model->bbaldea($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_imagen_actual.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_Aldeas_Imagen_Actual.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_Aldeas_Imagen_Actual.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}


	public function generarplanoaldeasF ($objectid) {
	
		$bbox = $this->lotes_model->bbaldea($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_uso_actual86.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_Aldeas_Fincas.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_Aldeas_Fincas.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}



	//////////////// GENERAR PLANOS DE BLOQUES /////////////////////
	//////////////// GENERAR PLANOS DE BLOQUES /////////////////////
	//////////////// GENERAR PLANOS DE BLOQUES /////////////////////
	//////////////// GENERAR PLANOS DE BLOQUES /////////////////////
	//////////////// GENERAR PLANOS DE BLOQUES /////////////////////


	public function generarplanobloquesU ($objectid) {
	
		$bbox = $this->lotes_model->bbbloque($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/bloques/Mapa_A3_Bloques_UsoActual.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/bloques/Mapa_A3_Bloques_UsoActual.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}



	public function generarplanobloquesA ($objectid) {
	
		$bbox = $this->lotes_model->bbbloque($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/bloques/Mapa_A3_Bloques_UsoAlter.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/bloques/Mapa_A3_Bloques_UsoAlter.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}


	public function generarplanobloquesU86 ($objectid) {
	
		$bbox = $this->lotes_model->bbbloque($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/bloques/Mapa_A3_Bloques_Uso1986.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/bloques/Mapa_A3_Bloques_Uso1986.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat']; 
        	redirect($i_jameuge);       	
        }
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}


	public function generarplanobloquesC ($objectid) {
	
		$bbox = $this->lotes_model->bbbloque($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_f1_Capacidad.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/bloques/Mapa_A3_Bloques_Capacidad.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/bloques/Mapa_A3_Bloques_Capacidad.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanobloquesT ($objectid) {
	
		$bbox = $this->lotes_model->bbbloque($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_f1_Taxonomia.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/bloques/Mapa_A3_Bloques_Taxonomia.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/bloques/Mapa_A3_Bloques_Taxonomia.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanobloquesI86 ($objectid) {
	
		$bbox = $this->lotes_model->bbbloque($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_uso_actual86.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/bloques/Mapa_A3_Bloques_Imagen_1986.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/bloques/Mapa_A3_Bloques_Imagen_1986.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanobloquesIAC ($objectid) {
	
		$bbox = $this->lotes_model->bbbloque($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_imagen_actual.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/bloques/Mapa_A3_Bloques_Imagen_Actual.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/bloques/Mapa_A3_Bloques_Imagen_Actual.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}


	public function generarplanobloquesF ($objectid) {
	
		$bbox = $this->lotes_model->bbbloque($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	//$i_jameuge = "http://181.120.22.251:8060/i3geo/ferramentas/imprimir/Mapa_A3_uso_actual86.php?";
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/bloques/Mapa_A3_Bloques_Fincas.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/bloques/Mapa_A3_Bloques_Fincas.map";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=black_gm.phtml";
        	//$i_jameuge = $i_jameuge . "&titulo=titulo&tema=selparcel&layers=selparcel&interface=googlemaps";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}




	//////////////// GENERAR PLANOS DE LOTES /////////////////////
	//////////////// GENERAR PLANOS DE LOTES /////////////////////
	//////////////// GENERAR PLANOS DE LOTES /////////////////////
	//////////////// GENERAR PLANOS DE LOTES /////////////////////


	public function generarplanoUT ($objectid, $lote_n) {
	
		$bbox = $this->lotes_model->mapabb_lote($lote_n);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f2_UsoActual.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_f1_UsoActual.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);

		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}


	public function generarplanoA2 ($objectid,$lote_n) {
	
		$bbox = $this->lotes_model->mapabb_lote($lote_n);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f2_UsoAlternativo.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_f1_UsoAlternativo.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;        	
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}

	}

	public function generarplanoF2 ($objectid, $lote_n) {
	
		$bbox = $this->lotes_model->mapafincabb_lote($lote_n);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f2_Fincas.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_f1_Fincas.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanoC ($objectid, $lote_n) {
	
		$bbox = $this->lotes_model->mapabb_lote($lote_n);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f2_Capacidad.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_f1_Capacidad.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanoT ($objectid, $lote_n) {
	
		$bbox = $this->lotes_model->mapabb_lote($lote_n);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f2_Taxonomia.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_f1_Taxonomia.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanoMS86 ($objectid, $lote_n) {
	
		$bbox = $this->lotes_model->mapabb_lote($lote_n);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f2_mapa_satelital86.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_mapa_satelital86.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}


	public function generarplanoU862 ($objectid, $lote_n) {
	
		$bbox = $this->lotes_model->mapabb_lote($lote_n);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f2_uso_1986.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_uso_1986.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanoIA ($objectid, $lote_n) {
	
		$bbox = $this->lotes_model->mapabb_lote($lote_n);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f2_imagen_actual.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_imagen_actual.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&lote_n=" . $lote_n;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}


	//////////////// GENERAR PLANOS DE lotes /////////////////////
	//////////////// GENERAR PLANOS DE lotes /////////////////////
	//////////////// GENERAR PLANOS DE lotes /////////////////////
	//////////////// GENERAR PLANOS DE lotes /////////////////////




	public function generarplanoU ($objectid) {
	
		$bbox = $this->lotes_model->mapabb($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];

        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f1_UsoActual.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_f1_UsoActual.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanoA ($objectid) {
	
		$bbox = $this->lotes_model->mapabb($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f1_UsoAlternativo.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_f1_UsoAlternativo.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}

	public function generarplanoF ($objectid) {
	
		$bbox = $this->lotes_model->mapafincabb($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_f1_Fincas.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_f1_Fincas.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}


	public function generarplanoU86 ($objectid) {
	
		$bbox = $this->lotes_model->mapabb($objectid);
		if ($bbox)
		{
			$data['ext1'] = $bbox[0]['ext1'];
        	$data['ext2'] = $bbox[0]['ext2'];
        	$data['ext3'] = $bbox[0]['ext3'];
        	$data['ext4'] = $bbox[0]['ext4'];

        	$data['concat'] = $bbox[0]['ext1']. ' ' . $bbox[0]['ext2'] . ' ' .$bbox[0]['ext3']. ' ' . $bbox[0]['ext4'];
			
        	$i_jameuge = "http://map.barrientosyasociados.com.py:8061/i3geo/ferramentas/imprimir/Mapa_A3_uso_1986.php?";
        	$i_jameuge = $i_jameuge . "mapfile=C:/ms4w03/ms4w/Apache/htdocs/i3geo/aplicmap/Mapa_A3_uso_1986.map";
        	$i_jameuge = $i_jameuge . "&objectid=" . $objectid;
        	$i_jameuge = $i_jameuge . "&mapexten=". $data['concat'];
        	
			redirect($i_jameuge);
		}
		else
		{
			$this->session->set_flashdata('message', $this->ion_auth->errors());
		}
	}



	
}